#
# spec file for package libopenshot-audio
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover 3
Name:           libopenshot-audio
Version:        0.1.2
Release:        1.1
Summary:        OpenShot Audio Library
License:        GPL-3.0+
Group:          Productivity/Multimedia/Other
Url:            http://openshot.org/
Source0:        https://github.com/OpenShot/libopenshot-audio/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source99:       %{name}.changes
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)

%description
OpenShot Audio Library (libopenshot-audio) is a program that allows the
high-quality editing and playback of audio, and is based on the amazing
JUCE library.

%package -n     %{name}%{sover}
Summary:        The core library for openshot
Group:          System/Libraries

%description -n %{name}%{sover}
OpenShot Audio Library (libopenshot-audio) is a program that allows the
high-quality editing and playback of audio, and is based on the amazing
JUCE library.

This package contains the shared library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name}%{sover} = %{version}

%description    devel
OpenShot Audio Library.

This package contains header files and libraries needed to develop
application that use %{name}.

%prep
%setup -q

%build
export SOURCE_DATE_EPOCH=$(date +%s -r %{S:99})
%cmake \
    -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed"

make %{?_smp_mflags}

%install
%cmake_install

%post   -n %{name}%{sover} -p /sbin/ldconfig
%postun -n %{name}%{sover} -p /sbin/ldconfig

%files -n %{name}%{sover}
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/openshot*
%{_libdir}/%{name}.so
%{_includedir}/%{name}
%{_mandir}/man?/openshot*

%changelog
* Thu Oct 20 2016 avvissu@yandex.by
- Initial package
